package com.zcloud.mapper.datasource.risk;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：风险点台账
 * 作者：luoxiaobao
 * 时间：2020-12-29
 * 官网：www.zcloudchina.com
 */
public interface RiskPointMapper{

	/**新增
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**查询所有（资源库配置使用）
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllToRes(PageData pd);

	List<PageData> listAllByDc(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findRiskById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	List<PageData> statisticsAll(PageData pd);
	/**列表 搜索 风险单元辨识部位模糊查询
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPageForNameLikes(Page page);

	void editLonAndLat(PageData pd);

	String countByCorpInfo (PageData pd);

    PageData getDiagnosis(PageData pd);

    List<PageData> listForDocking(PageData pd);
	void updateDocking(PageData pageData);

    List<PageData> getInfo(PageData pageData);
}

